Skip to main content
GET
/
products
Products
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "description": "<string>",
      "retail_price": 123,
      "wholesale_price": 123,
      "unit_cost": 123,
      "product_weight": [
        {
          "unit": "lb",
          "value": 1
        }
      ],
      "product_weight_oz": 123,
      "product_weight_lb": 123,
      "dimensional_weight": [
        {
          "unit": "lb",
          "value": 1
        }
      ],
      "dimensional_weight_oz": 123,
      "dimensional_weight_lb": 123,
      "product_length": 123,
      "product_width": 123,
      "product_height": 123,
      "box_weight": [
        {
          "unit": "lb",
          "value": 1
        }
      ],
      "box_weight_oz": 123,
      "box_weight_lb": 123,
      "box_length": 123,
      "box_width": 123,
      "box_height": 123,
      "carton_weight": [
        {
          "unit": "lb",
          "value": 1
        }
      ],
      "carton_weight_oz": 123,
      "carton_weight_lb": 123,
      "carton_length": 123,
      "carton_width": 123,
      "carton_height": 123,
      "shipping_weight": [
        {
          "unit": "lb",
          "value": 1
        }
      ],
      "shipping_weight_oz": 123,
      "shipping_weight_lb": 123,
      "shipping_length": 123,
      "shipping_width": 123,
      "shipping_height": 123,
      "pallet_weight": [
        {
          "unit": "lb",
          "value": 1
        }
      ],
      "pallet_weight_oz": 123,
      "pallet_weight_lb": 123,
      "pallet_length": 123,
      "pallet_width": 123,
      "pallet_height": 123,
      "sellable": true,
      "discontinued": true,
      "image_url": "<string>",
      "category": {
        "id": 123,
        "name": "<string>"
      },
      "subcategory": {
        "id": 123,
        "name": "<string>"
      },
      "custom_fields": {},
      "attachments": [
        {
          "id": 123,
          "name": "<string>",
          "type": "<string>",
          "size": 123,
          "full_url": "<string>",
          "thumb_url": "<string>"
        }
      ],
      "variants": [
        {
          "id": 123,
          "name": "<string>",
          "description": "<string>",
          "product_weight": [
            {
              "unit": "lb",
              "value": 1
            }
          ],
          "product_weight_oz": 123,
          "product_weight_lb": 123,
          "dimensional_weight": [
            {
              "unit": "lb",
              "value": 1
            }
          ],
          "dimensional_weight_oz": 123,
          "dimensional_weight_lb": 123,
          "box_weight": [
            {
              "unit": "lb",
              "value": 1
            }
          ],
          "box_weight_oz": 123,
          "box_weight_lb": 123,
          "carton_weight": [
            {
              "unit": "lb",
              "value": 1
            }
          ],
          "carton_weight_oz": 123,
          "carton_weight_lb": 123,
          "shipping_weight": [
            {
              "unit": "lb",
              "value": 1
            }
          ],
          "shipping_weight_oz": 123,
          "shipping_weight_lb": 123,
          "pallet_weight": [
            {
              "unit": "lb",
              "value": 1
            }
          ],
          "pallet_weight_oz": 123,
          "pallet_weight_lb": 123,
          "attachments": [
            {
              "id": 123,
              "name": "<string>",
              "type": "<string>",
              "size": 123,
              "full_url": "<string>",
              "thumb_url": "<string>"
            }
          ],
          "retail_price": 123,
          "wholesale_price": 123,
          "custom_fields": [
            {}
          ],
          "variant_attributes": {},
          "sku": "<string>",
          "upc": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "variant_attributes": {},
      "sku": "<string>",
      "alternate_skus": [
        {
          "id": 123,
          "sku": "<string>"
        }
      ],
      "upc": "<string>",
      "tags": [
        {
          "id": 123,
          "name": "<string>",
          "description": "<string>",
          "icon": "<string>",
          "color": "<string>"
        }
      ],
      "substitutions": [
        {
          "id": 123,
          "priority": 123,
          "product": {
            "id": 123,
            "name": "<string>",
            "description": "<string>",
            "retail_price": 123,
            "wholesale_price": 123,
            "unit_cost": 123,
            "product_weight": [
              {
                "unit": "lb",
                "value": 1
              }
            ],
            "product_weight_oz": 123,
            "product_weight_lb": 123,
            "dimensional_weight": [
              {
                "unit": "lb",
                "value": 1
              }
            ],
            "dimensional_weight_oz": 123,
            "dimensional_weight_lb": 123,
            "product_length": 123,
            "product_width": 123,
            "product_height": 123,
            "box_weight": [
              {
                "unit": "lb",
                "value": 1
              }
            ],
            "box_weight_oz": 123,
            "box_weight_lb": 123,
            "box_length": 123,
            "box_width": 123,
            "box_height": 123,
            "carton_weight": [
              {
                "unit": "lb",
                "value": 1
              }
            ],
            "carton_weight_oz": 123,
            "carton_weight_lb": 123,
            "carton_length": 123,
            "carton_width": 123,
            "carton_height": 123,
            "shipping_weight": [
              {
                "unit": "lb",
                "value": 1
              }
            ],
            "shipping_weight_oz": 123,
            "shipping_weight_lb": 123,
            "shipping_length": 123,
            "shipping_width": 123,
            "shipping_height": 123,
            "pallet_weight": [
              {
                "unit": "lb",
                "value": 1
              }
            ],
            "pallet_weight_oz": 123,
            "pallet_weight_lb": 123,
            "pallet_length": 123,
            "pallet_width": 123,
            "pallet_height": 123,
            "sellable": true,
            "discontinued": true,
            "image_url": "<string>",
            "sku": "<string>",
            "upc": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "supplier": {},
      "type": "PRODUCT",
      "kit_items": [
        {
          "id": 123,
          "product_id": 123,
          "quantity": 123,
          "uom_id": 123,
          "base_uom_quantity": 123,
          "price": 123,
          "original_price": 123,
          "total": 123,
          "product": {
            "id": 123,
            "name": "<string>",
            "sku": "<string>",
            "description": "<string>",
            "retail_price": 123,
            "wholesale_price": 123
          },
          "unit_of_measure": {
            "id": 123,
            "name": "<string>",
            "description": "<string>",
            "base_unit": true
          }
        }
      ],
      "boms": [
        {
          "id": 123,
          "name": "<string>",
          "items": [
            {
              "id": 123,
              "bom_id": 123,
              "product_id": 123,
              "quantity": 123,
              "product": {
                "id": 123,
                "name": "<string>",
                "sku": "<string>",
                "description": "<string>"
              },
              "base_quantity": 123,
              "note": "<string>",
              "uom_id": 123,
              "unit_of_measure": {
                "id": 123,
                "name": "<string>"
              },
              "order": 123,
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "extra_costs": [
            {
              "id": 123,
              "name": "<string>",
              "quantity": 123,
              "unit_price": 123,
              "line_total": 123,
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 5,
    "per_page": 10,
    "to": 10,
    "total": 50
  }
}

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To obtain a token, contact developers@joinluminous.com

Query Parameters

page
integer
default:1

Page number for pagination

per_page
integer
default:10

Number of items per page (max 100)

Required range: x <= 100
q
string

Filter by name OR upc OR sku

name
string

Filter by product name

description
string

Filter by product description

sku
string

Filter by SKU (searches both internal and alternate SKUs)

upc
string

Filter by UPC/Barcode

sellable
boolean

Filter by sellable status

discontinued
boolean

Filter by whether the product is discontinued

retail_price
number<float>

Filter by retail price

wholesale_price
number<float>

Filter by wholesale price

created_at
string<date-time>

Filter by creation date

updated_at
string<date-time>

Filter by last update date

tag
string

Filter by product tags

category.id
integer

Filter by category ID

category.name
string

Filter by category name

sub_category.id
integer

Filter by sub-category ID

sub_category.name
string

Filter by sub-category name

supplier.id
integer

Filter by supplier ID

supplier.name
string

Filter by supplier name

bom.id
integer

Filter by Bill of Materials ID (returns products attached to the specified BOM)

kit_items.product_id
integer

Filter by kit item product ID (returns kit products that contain the specified product as a component)

type
enum<string>

Filter by product type (PRODUCT for regular products, KIT for kit products)

Available options:
PRODUCT,
KIT
product_weight_oz
number<float>

Filter by product weight total in ounces

product_weight_lb
number<float>

Filter by product weight total in pounds

product_length
number<float>

Filter by product length (in inches)

product_width
number<float>

Filter by product width (in inches)

product_height
number<float>

Filter by product height (in inches)

box_weight_oz
number<float>

Filter by box weight total in ounces

box_weight_lb
number<float>

Filter by box weight total in pounds

box_length
number<float>

Filter by box length (in inches)

box_width
number<float>

Filter by box width (in inches)

box_height
number<float>

Filter by box height (in inches)

carton_weight_oz
number<float>

Filter by carton weight total in ounces

carton_weight_lb
number<float>

Filter by carton weight total in pounds

carton_length
number<float>

Filter by carton length (in inches)

carton_width
number<float>

Filter by carton width (in inches)

carton_height
number<float>

Filter by carton height (in inches)

shipping_weight_oz
number<float>

Filter by shipping weight total in ounces

shipping_weight_lb
number<float>

Filter by shipping weight total in pounds

shipping_length
number<float>

Filter by shipping length (in inches)

shipping_width
number<float>

Filter by shipping width (in inches)

shipping_height
number<float>

Filter by shipping height (in inches)

pallet_weight_oz
number<float>

Filter by pallet weight total in ounces

pallet_weight_lb
number<float>

Filter by pallet weight total in pounds

dimensional_weight_oz
number<float>

Filter by dimensional weight total in ounces

dimensional_weight_lb
number<float>

Filter by dimensional weight total in pounds

pallet_length
number<float>

Filter by pallet length (in inches)

pallet_width
number<float>

Filter by pallet width (in inches)

pallet_height
number<float>

Filter by pallet height (in inches)

Response

Successful response

data
object[]
meta
object